Vecteur2D[] fourmis = {
  new Vecteur2D(100, 100), 
  new Vecteur2D(500, 100), 
  new Vecteur2D(500, 500), 
  new Vecteur2D(100, 500)
};

PShape square;

void setup() {
  size(600, 600);

  noLoop();
}

void draw() {
  background(255);  
  float value = 0.009;
  float factor = sqrt(((1 - value)*(1 - value)) + (value*value));    
  float alpha = atan(value / (1-value));
  square = createSquare(600);
  shape(square);
  for (int i =0; i < 800; i++) {
    scale(factor);
    rotate(alpha);
    shape(square);
  }
}

PShape createSquare(int cote) {         
  PShape carre = createShape();  
  carre.beginShape();
  carre.noFill();
  carre.stroke(0);
  carre.vertex(-cote/2, -cote/2);
  carre.vertex( cote/2, -cote/2);
  carre.vertex( cote/2, cote/2);
  carre.vertex(-cote/2, cote/2);
  carre.endShape(CLOSE);
  translate(width/2, height/2);  
  return carre;
}

float distance(Vecteur2D v1, Vecteur2D v2) {
  return sqrt(((v2.x - v1.x)*(v2.x - v1.x)) + ((v2.y - v1.y)*(v2.y - v1.y)));
}

void printShape(Vecteur2D[] vectors) {
  stroke(0);
  noFill();      
  beginShape();
  for (Vecteur2D v : vectors) {      
    vertex(v.x, v.y);
  }
  endShape(CLOSE);
}

float angle(float co, float ca) {  
  return (atan(co/ca));
}
